## epminstall(1)

### Name

epminstall - add a directory, file, or symlink to a list file.

### Synopsis

epminstall options file1 file2 ... fileN directory
epminstall options file1 file2
epminstall options -d directory1 directory2 ... directoryN

### Description

epminstall adds or replaces a directory, file, or symlink in a list file. The default list file is "epm.list" and can be overridden using the EPMLIST environment variable or the --list-file option.

Entries are either added to the end of the list file or replaced in-line. Comments, directives, and variable declarations in the list file are preserved.

### Options

epminstall recognizes the standard Berkeley install command options:

-b
  Make a backup of existing files (ignored, default for EPM.)
-c
  BSD old compatibility mode (ignored.)
-g group
  Set the group owner of the file or directory to group. The default group is "sys".
-m mode
  Set the permissions of the file or directory to mode. The default permissions are 0755 for directories and executable files and 0644 for non-executable files.
-o owner
  Set the owner of the file or directory to owner. The default owner is "root".
-s
  Strip the files (ignored, default for EPM.)
--list-file filename.list
  Specify the list file to update.

### See Also

epm(1) - create software packages
mkepmlist(1) - make an epm list file from a directory
epm.list(5) - epm list file format

### Copyright

Copyright 1999-2007 by Easy Software Products, All Rights Reserved.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.